.footer {
  background: #3a8bce;
  position: relative;
  padding: 32px 0;
}
.go-top-arrow{
  position: absolute;
  right: 20px;
  top: -60px;
  width: 32px;
  height: 32px;
  border-radius: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #3a8bce;
}
.go-top-arrow {
  cursor: pointer;
}
.go-top-arrow:hover{
  scale: 1.1;
}
.footer__wrapper {
  display: flex;
  flex-direction: column;
  gap: 24px;
}
.footer__top {
  display: flex;
  gap: 98px;
}
.logo {
  width: 181px;
  height: 53px;
}
.logo img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.footer__sections {
  display: flex;
  flex-direction: column;
  gap: 16px;
  max-width: 278px;
  width: 100%;
}
.footer__sections-title {
  font-family: e-Ukraine;
  font-weight: 700;
  font-style: Bold;
  font-size: 16px;
  leading-trim: NONE;
  line-height: 22px;
  letter-spacing: 0%;
  vertical-align: middle;
  color: white;
}

.footer__sections a {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 14px;
  leading-trim: NONE;
  line-height: 27px;
  letter-spacing: 0px;
  vertical-align: middle;
  text-decoration: none;
  color: white;
  position: relative;
}
.footer__sections a::after {
  content: "";
  position: absolute;
  bottom: -4px;
  left: 50%;
  width: 0;
  height: 2px;
  background-color: white;
  transition: all 0.3s ease-in-out;
}
.footer__sections a:hover::after {
  left: 0;
  width: 100%;
}
.footer__sections span {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 14px;
  leading-trim: NONE;
  line-height: 27px;
  letter-spacing: 0px;
  vertical-align: middle;
  text-decoration: none;
  color: white;
}

.footer__bot {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}
.copir {
  font-family: e-Ukraine;
  font-weight: 400;
  font-style: Regular;
  font-size: 14px;
  leading-trim: NONE;
  line-height: 22px;
  letter-spacing: 0px;
  vertical-align: middle;
  color: white;
}

.socials {
  display: flex;
  gap: 20px;
  align-items: center;
}
.socials a {
  text-decoration: none;
  cursor: pointer;
  transition: all 0.4s ease-in-out;

}
.socials a :hover {
  animation: shake 0.5s;
}
@keyframes shake {
 0% { transform: translate(0px 1px)  }
  20% { transform: translate(-2px, 0px) rotate(-10deg) }
  40% { transform: translate(2px, 0px) rotate(10deg) }
  60% { transform: translate(-2px, 0px) rotate(-10deg) }
  80% { transform: translate(2px, 0px) rotate(10deg) }
  100% { transform: translate(0px, 1px)  }
}

@media screen and (max-width: 1024px) {
  .footer {
    padding: 32px 0;
  }
  .footer__wrapper {
    display: flex;
    flex-direction: column;
    gap: 24px;
  }
  .footer__top {
    display: flex;
    flex-direction: column;
    gap: 12px;
  }
  .logo {
    width: 181px;
    height: 53px;
  }
  .logo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
  .footer__sections {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }

  .footer__bot {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 12px;
  }
  .copir {
    font-family: e-Ukraine;
    font-weight: 400;
    font-style: Regular;
    font-size: 14px;
    leading-trim: NONE;
    line-height: 22px;
    letter-spacing: 0px;
    vertical-align: middle;
    color: white;
  }

  .socials {
    display: flex;
    gap: 20px;
    width: 100%;
    justify-content: space-between;
    align-items: center;
  }
  .socials a {
    text-decoration: none;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
  }
}
